---
title: Account Transactions
description: Retrieve all transactions in a partner's payout account by date range.
---

This API will return all the transactions done in partner's account by the merchant. We will pass date range to get the payout details and no of rows in response then we will get payment details like amount, balance, and description.

get

```
http://kraken.airpay.co.in:8000/payout/partner/transactions
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | The Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data. | `application/json` |
| Authorization  required | String | The token is a JSON Web Token (JWT) in this example, commonly used for bearer authentication. | `JIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NT` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| from_date  required | Date | Transaction created from date. (Y-m-d) |
| to_date  required | Date | Transaction created to date.(Y-m-d) |
| offset  required | Numeric | Which row to start retrieve from) |
| limit  required | Numeric | Number of rows in response. (Maximum is 100) |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Alphanumeric | success / error | `success` |
| message  required | Alphanumeric | Response description |
| errors  required | Array | Error messages if response status is 'error' |
| data  required | Array | Response data |
| created_datetime  required | DateTime | Transaction date and time (Y-m-d H:i:s) | `2022-02-09 08:46:50` |
| entry_side  required | Alphanumeric | debit / credit | `debit` |
| amount  required | Numeric | Transaction amount | `5` |
| balance  required | Numeric | Balance in account | `4595` |
| description  required | Alphanumeric | fee/2022JAN/18" Transaction description | `Transfer` |
| approved_transfers_count  required | Numeric | Number of transfers approved by airpay | `1` |
| processing_transfers_count  required | Numeric | Number of transfers in process | `1` |
| success_transfers_count  required | Numeric | Number of successful transfers | `0` |
| failure_transfers_count  required | Numeric | Number of failed transfers | `1` |
| rejected_transfers_count  required | Numeric | Number transfers rejected by airpay | `1` |

## Request Example

```
GET 'partner/transactions?offset=0&limit=25&from_date=2022-01-01&to_date=2022-01-31'
```

### Success Response (Decrypted)

```json
{
    "status": "success",
    "message": "Transactions",
    "data": [
        {
            "transfer_number": "18",
            "created_datetime": "2022-02-09 08:46:50",
            "entry_side": "debit",
            "type": "payout",
            "amount": 5,
            "currency": "INR",
            "balance": 4595,
            "description": "Transfer fee/2022JAN/18"
        },
        {
            "transfer_number": "18",
            "created_datetime": "2022-02-09 08:46:21",
            "entry_side": "debit",
            "type": "payout",
            "amount": 400,
            "currency": "INR",
            "balance": 4600,
            "description": "Transfer/2022JAN/18"
        }
    ]
}
```